<cfcomponent> 

	<cfscript>
		this.name = "TestApp";

		this.applicationTimeout = createtimespan(0,0,2,0);

		/* 
		 *  "jee" session timeout DOES NOT trigger onSessionEnd()
		 */
		this.sessiontype = "jee";

		/*
		 *  "cfml" session timeout DOES trigger onSessionEnd()
		 */
//		this.sessiontype = "cfml";

		this.sessiontimeout = createtimespan(0,0,1,0);
		this.sessionManagement = true;
		this.sessionStorage = "memory";

		this.clientManagement = false;
		this.setClientCookies = false;
	</cfscript>

	<cffunction name="onApplicationStart" returnType="boolean" output="false">
		<cflog application=true type="Information" file="TEST_APPLICATION" text="Test-Application started">
		<cfreturn true>
	</cffunction>

	<cffunction name="onSessionStart" returnType="void" output="false">
		<cflog application=true type="Information" file="TEST_SESSION" text="Test-Session started">
	</cffunction>

	<cffunction name="onSessionEnd" returnType="void" output="false">
		<cflog application=true type="Information" file="TEST_SESSION" text="Test-Session ended">
	</cffunction>

	<cffunction name="onApplicationEnd" returnType="void" output="false">
		<cflog application=true type="Information" file="TEST_APPLICATION" text="Test-Application ended">
	</cffunction>

</cfcomponent>